{ config, pkgs, ... }:
{
	imports = [
                ./waybarTheme.nix
        ];
	programs.waybar = {
		enable = true;
		settings = [{
			layer = "top";
			position = "top";
			modules-center = [
				"hyprland/workspaces"
				"hyprland/window"
			];
			modules-left = [
			"pulseaudio"
			"cpu"
			"memory"
			"disk"
			];
			modules-right = [
				"battery"
				"network"
				"tray"
				"clock"
			];
			"hyprland/workspaces" = {
			format = "{name}";
				format-icons = {
					default = " ";
					active = "@";
					urgent = "!";
				};
			on-scroll-up = "hyprctl dispatch workspace e+1";
			on-scroll-down = "hyprctl dispatch workspace e-1";
			};
			"clock" = {
				format = ''{:L%H:%M}'';
				tooltip = true;
				tooltip-format = "<big>{:%A, %d.%B %Y }</big>\n<tt><small>{calendar}</small></tt>";
			};
			"hyprland/window" = {
				max-length = 22;
				separate-outputs = false;
				rewrite = {
				"" = "None";
				};
			};
			"memory" = {
				interval = 5;
				format = "{}%";
				tooltip = true;
			};
			"cpu" = {
				interval = 5;
				format = "{usage:2}%";
				tooltip = true;
			};
			"disk" = {
				format = "{free}";
				tooltip = true;
			};
			"network" = {
				format-icons = [
					"󰤯"
					"󰤟"
					"󰤢"
					"󰤥"
					"󰤨"
				];
				format-ethernet = "  {bandwidthDownOctets}";
				format-wifi = " {icon} {signalStrength}%";
				format-disconnected = " 󰈂 no network";
				tooltip = false;
			};
			"tray" = {
				spacing = 12;
			};

			"pulseaudio" = {
				format = "{icon} {volume}% {format_source}";
				format-bluetooth = "{volume}% {icon} {format_source}";
				format-bluetooth-muted = "{icon} {format_source}";
				format-muted = "{format_source}";
				format-source = "{volume}%";
				format-source-muted = "";
				format-icons = {
					headphone = "";
					hands-free = "";
					headset = "";
					phone = "";
					portable = "";
					car = "";
					default = [
						""
						""
						""
					];
				};
				on-click = "sleep 0.1 && pavucontrol";
			};
			"idle_inhibitor" = {
				format = "{icon}";
				format-icons = {
					activated = "  ";
					deactivated = "  ";
				};
			tooltip = "true";
			};
			"battery" = {
				states = {
					warning = 30;
					critical = 15;
				};
				format = "{icon} {capacity}%";
				format-charging = "󰂄{capacity}%";
				format-plugged = "󱘖{capacity}%";
				format-icons = [
					"󰁺"
					"󰁻"
					"󰁼"
					"󰁽"
					"󰁾"
					"󰁿"
					"󰂀"
					"󰂁"
					"󰂂"
					"󰁹"
				];
				on-click = "";
				tooltip = false;
			};

		}];
	};
}
