{ config, lib, pkgs, ... }:
{
	#users.defaultUserShell = pkgs.zsh;

	programs.zsh = {
	  enable = true;
	  enableCompletion = true;
	  syntaxHighlighting.enable = true;
	  #autosuggestions.enable = true;
	  shellAliases = {
			please = "sudo";
			plz = "sudo";
			ll = "ls -l -a";
	    update = "sudo nixos-rebuild switch -v";
      ".." = "cd ..";
      cdroot = "cd /";
      cdhome = "cd ~";
      snano = "sudo nano";
      cls = "clear";
      icat = "kitten icat --align left ";
      ic = "icat";
      imgv = "icat";
			redmatrix = "cmatrix -a -C red";
			rmtx = "redmatrix";
	  };
	  history = {
	    size = 10000;
	    path = "~/.zsh_history";
	    share = true;
	    save = 10000;
	  };


	};
}
