{ config, pkgs, ... }:
{
	
	environment.systemPackages = [
                
		pkgs.waybar
		(pkgs.waybar.overrideAttrs (oldAttrs: {
    		mesonFlags = oldAttrs.mesonFlags ++ [ "-Dexperimental=true" ];}))
		
		pkgs.dunst
		pkgs.libnotify
		pkgs.playerctl
		pkgs.swww
		pkgs.kitty
		pkgs.webcord
		pkgs.rofi-wayland	
		#pkgs.hyprlock
		pkgs.nwg-dock-hyprland
		pkgs.hyprcursor
        ];
	
	xdg.portal.enable = true;
        xdg.portal.extraPortals = [ pkgs.xdg-desktop-portal-gtk ];

	#security.pam.services.hyprlock = {};

	sound.enable = true;
	security.rtkit.enable = true;
	services.pipewire = {
  		enable = true;
  		alsa.enable = true;
  		alsa.support32Bit = true;
  		pulse.enable = true;
  		jack.enable = true;
	};





	programs.hyprland = {
	  enable = true;
	  #nvidiaPatches = true;
	  xwayland.enable = true;
	};
	
	environment.sessionVariables = {
	  #If your cursor becomes invisible

	  WLR_NO_HARDWARE_CURSORS = "1";
	  #Hint electron apps to use wayland
	  NIXOS_OZONE_WL = "1";
	};
	
	#services.playerctld.enable = true;

	hardware = {
	    #Opengl
	    opengl.enable = true;
	
	    #Most wayland compositors need this
	    nvidia.modesetting.enable = true;
	};

}


